Manage item attributes for multiple categories
curl --request POST \
--url https://live.copilot.fabric.inc/api-category/v1/category/bulk/item-attribute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"attributes": [
{
"action": "SET",
"attributeId": "609ac75051f11a0007cf38b3",
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25,
"mandatory": false
}
]
}
'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/bulk/item-attribute"
payload = { "attributes": [
{
"action": "SET",
"attributeId": "609ac75051f11a0007cf38b3",
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25,
"mandatory": False
}
] }
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
attributes: [
{
action: 'SET',
attributeId: '609ac75051f11a0007cf38b3',
id: '6196b45b5cb04b7ce167cb46',
nodeId: 25,
mandatory: false
}
]
})
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/bulk/item-attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": [
{
"action": "SET",
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25,
"attributeId": "609ac75051f11a0007cf38b3",
"name": "Image",
"nodeName": "Sofa",
"mandatory": false
}
],
"failed": [
{
"index": 123,
"filter": {
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25,
"attributeId": "609ac75051f11a0007cf38b3",
"statuses": [
{
"code": "NODE_NOT_FOUND",
"name": "Node not found",
"description": "<string>"
}
]
}
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Category
Manage item attributes for multiple categories
Use this endpoint to assign and unassign item attributes to specified categories. You can assign or unassign up to 10 item attributes simultaneously.
POST
/
api-category
/
v1
/
category
/
bulk
/
item-attribute
Manage item attributes for multiple categories
Authorizations
authorizationapi_key
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
